/* PALETA DE COLORES */
:root {
    --blanco: #ffffff;
    --oscuro: #212121;
    --primario: #517664;
    --secundario: #7EACA1;
    --claro: #EFF1F3;
    --navegacion: #D6E5E3;
    --navagua: #256d7e;
    --navfuego: #6c2a2a;
    --navplanta: #2a6c30;
}

/* GLOBALES */
html {
    height: 100%;
    font-size: 62.5%;
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    display: flex;
    flex-direction: column;
    font-size: 1.6rem;
    /* 1 rem = 10px */
    font-family: 'Raleway', sans-serif;
    min-height: 100%;
    background-image: url(../img/FondoBlanco.png);
}

footer {
    margin-top: auto;
}

h1 {
    font-size: 3.8rem;
    margin-bottom: 15rem;
}

h2 {
    font-size: 2.8rem;
}

h3 {
    font-size: 2.2rem;
}

h4 {
    font-size: 1.4rem;
}

h1,
h2,
h3,
h4 {
    text-align: center;
    margin-top: 0;
}

.contenedor {
    max-width: 120rem;
    margin: 0 auto;
}

.descripcion {
    max-width: 85rem;
    margin: 4rem auto 2rem auto;
}

.descripcion p {
    text-align: center;
    line-height: 3rem;
}

.sombra {
    -webkit-box-shadow: 0px 5px 15px 0px rgba(107, 107, 107, 1);
    -moz-box-shadow: 0px 5px 15px 0px rgba(107, 107, 107, 1);
    box-shadow: 0px 5px 15px 0px rgba(107, 107, 107, 1);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1.5rem;
}

.boton {
    background-color: var(--secundario);
    color: var(--blanco);
    padding: .8rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .8rem;
    border: none;
}

.svg {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}

/* PORTADA */
.portada {
    background-image: linear-gradient(to right, rgba(107, 17, 203, 0.30) 0%, rgba(37, 116, 252, 0.30) 100%), url(../img/Portada.png);
    width: 100%;
    height: 450px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
    margin-bottom: 2rem;
    overflow: hidden;
}

@media (max-width: 400px) {
    .portada {
        height: 350px;
        width: 100%;
    }
}

.contenido-portada {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--blanco);
}


/* BARRA DE NAVEGACIÓN */
.nav-bg {
    background-color: var(--secundario);
    /* position: fixed; */
    justify-content: space-between;
    width: 100%;
}

.nav-agua {
    background-color: var(--navagua);
    /* position: fixed; */
    justify-content: space-between;
    width: 100%;
}

.nav-fuego {
    background-color: var(--navfuego);
    /* position: fixed; */
    justify-content: space-between;
    width: 100%;
}

.nav-planta {
    background-color: var(--navplanta);
    /* position: fixed; */
    justify-content: space-between;
    width: 100%;
}

.navegacion {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

@media (max-width: 400px) {
    .navegacion {
        flex-direction: column;
    }
}

@media (min-width: 850px) {
    .navegacion {
        flex-direction: row;
    }
}

@media (min-width: 1000px) {
    .navegacion {
        flex-direction: row;
    }
}



.navegacion a {
    width: 100%;
    color: var(--blanco);
    text-decoration: none;
    text-align: center;
    font-size: 2rem;
    font-weight: 500;
    padding: 1rem;
}

.navegacion a:hover {
    background-color: var(--navegacion);
    color: var(--oscuro);
}

.logo-principal {
    height: 25rem;
    width: 25rem;
    margin-left: 43%;
    margin-top: 100px;
}

/*@media (max-width: 400px){
    .logo-principal{
        height: 15rem;
    width: 15rem;
    }
}*/

@media (max-width: 400px) {
    .logo-poketorneos {
        width: 380px;
    }

}



.titulo-torneo {
    z-index: .1rem;
}

/* STARTERS */
@media (max-width: 400px) {
    .starters {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        column-gap: 3rem;
        row-gap: 3rem;
    }
}

@media (min-width: 850px) {
    .starters {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 3rem;
        row-gap: 3rem;
    }
}

@media (min-width: 1000px) {
    .starters {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 3rem;
        row-gap: 3rem;
    }
}

.starter {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.starter h3 {
    color: var(--secundario);
}

.starter .pokemon {
    height: 25rem;
    width: 25rem;
    background-color: var(--claro);
    border-radius: 25%;
    display: flex;
    justify-content: center;
    align-items: center;
    -webkit-transition: all .7s ease-in-out;
}

.pokemon:hover {
    transition: all 0.5s;
    -webkit-transform: scale(1.2);
}

/* PÁGINAS DE TIPOS */
#carouselExampleControls {
    height: 20rem;
    width: 70rem;
    max-width: 30rem;
    margin: 2rem auto;
}

span {
    font-weight: 500;
}

.centerimg {
    display: block;
    margin: auto;
}

.justify {
    text-align: justify;
    margin: 0 2.5rem;
}

.left {
    margin: 0 2.5rem;
}

.descripcionagua {
    max-width: 85rem;
    margin: 2rem auto;
    background: rgb(18, 122, 189);
    background: -moz-linear-gradient(349deg, rgba(18, 122, 189, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: -webkit-linear-gradient(349deg, rgba(18, 122, 189, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: linear-gradient(349deg, rgba(18, 122, 189, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
}

.descripcionfuego {
    max-width: 85rem;
    margin: 2rem auto;
    background: rgb(185, 23, 23);
    background: -moz-linear-gradient(349deg, rgba(185, 23, 23, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: -webkit-linear-gradient(349deg, rgba(185, 23, 23, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: linear-gradient(349deg, rgba(185, 23, 23, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
}

.descripcionplanta {
    max-width: 85rem;
    margin: 2rem auto;
    background: rgb(3, 168, 5);
    background: -moz-linear-gradient(349deg, rgba(3, 168, 5, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: -webkit-linear-gradient(349deg, rgba(3, 168, 5, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: linear-gradient(349deg, rgba(3, 168, 5, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
}

.container {
    width: 70rem;
    display: grid;
    margin: 1rem auto;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem 1rem;
    justify-content: space-between;
}

.tarjeta {
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: space-evenly;
    background-color: #fff;
    border-radius: 5%;
    border: .1rem solid rgb(167, 167, 165);
    margin: 1rem;
    border-radius: 5%;
    place-items: center;
}

@media (max-width: 400px) {
    .container {
        padding: 0 3rem;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        column-gap: 3rem;
        row-gap: 0rem;
        width: 100%;
        justify-items: space-between;
    }

}

.tarjeta img {
    width: 8rem;
    margin: 0 auto;
}

.tarjeta h4 {
    font-weight: bold;
    font-size: 1.8rem;
}

.tarjeta h2 {
    font-weight: lighter;
    font-size: 1.4rem;
}

.tarjeta p {
    display: flex;
    justify-content: center;
    align-items: center;
}

.cuerpo {
    padding: 1rem;
}

.desplazarse-hacia-arriba {
    position: fixed;
    right: 0.5%;
    bottom: 3%;
    cursor: pointer;
    background-color: var(--secundario);
    border-radius: 50%;
}

.desplazarse-hacia-arriba img {
    height: 4rem;
}

.flecha-arriba {
    width: 3rem;
    height: 3rem;
}


/* TORNEO */
.descripciontorneo {
    display: grid;
    padding: 1rem;
    width: 70rem;
    margin: 2rem auto;
    background: rgb(126, 172, 168);
    background: -moz-linear-gradient(349deg, rgba(126, 172, 168, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: -webkit-linear-gradient(349deg, rgba(126, 172, 168, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: linear-gradient(349deg, rgba(126, 172, 168, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
}

.form-torneo-deg {
    background: rgb(126, 172, 168);
    background: -moz-linear-gradient(349deg, rgba(126, 172, 168, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: -webkit-linear-gradient(349deg, rgba(126, 172, 168, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
    background: linear-gradient(349deg, rgba(126, 172, 168, 1) 0%, rgba(255, 255, 255, 1) 30%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 1) 75%);
}

@media (max-width: 400px) {
    .descripciontorneo {
        width: 100%;
    }

    .formulariotorneo {
        max-width: 100%;
    }
}

@media (max-width: 850px) {
    .descripciontorneo {
        width: 100%;
    }

    .formulariotorneo {
        max-width: 100%;
    }
}

.formulariotorneo {
    display: grid;
    padding: 1rem;
    width: 70rem;
    margin: 2rem auto;
}

@media (min-width: 768px) {
    .descripciontorneoright {
        display: grid;
        grid-template-columns: 25% 75%;
    }
}

@media (min-width: 768px) {
    .descripciontorneoleft {
        display: grid;
        grid-template-columns: 75% 25%;
    }
}

.iconotorneo {
    height: 5rem;
    width: 5rem;
    border-radius: 50%;
}

.tablapremios {
    display: grid;
    grid-template-columns: auto auto;
}

.tablapremios img {
    margin: 0 auto;
}

.premio1 {
    height: 20rem;
    width: 30rem;
}

.premio2 {
    height: 20rem;
    width: 20rem;
}

@media (max-width: 650px) {
    .tablapremios {
        width: 100%;
        display: flex;
        flex-direction: column;
    }
}

.logos-torneo {
    height: 35px;
    width: 35px;
}

/* FOOTER */

.footer {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.footer a {
    text-decoration: none;
    padding: auto;
    align-items: center;
}

.footer a {
    color: black;
    text-decoration: none;
    align-items: center;
}

.footer h3 {
    margin: 0;
    font-weight: bold;
    font-size: 2rem;
}

.footer p {
    margin: 0;
    padding: 1rem;
}

@media (min-width: 480px) {
    .footer {
        flex-direction: row;
    }
}

.footerindex {
    background-color: var(--secundario);
}

.footeragua {
    background-color: var(--navagua);
}

.footerfuego {
    background-color: var(--navfuego);
}

.footerplanta {
    background-color: var(--navplanta);
}

.icono {
    margin: 1rem;
    height: 2rem;
    width: 2rem;
    background-color: var(--oscuro);
    border-radius: 50%;
    align-items: center;
}

/* FORMULARIO */
.formulario {
    background-color: var(--claro);
    width: min(60rem, 100%);
    margin: 2rem auto;
    padding: 2rem;
    border-radius: 1rem;
}

.formulario fieldset {
    border: none;
}

.formulario legend {
    text-align: center;
    font-size: 2.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto auto 15rem;
        column-gap: 1.5rem;
    }

    .campo:nth-child(3),
    .campo:nth-child(6) {
        grid-column: 1 / 3;
    }
}

.campo {
    margin-bottom: 1rem;
}

.campo label {
    color: var(--oscuro);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}

.campo textarea {
    height: 10rem;
}

.input-campo {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .8rem;
}

.input-camporadio {
    padding: 1.5rem;
    margin: .8rem;
}

/* Formulario JS */
.formulario__input {
    width: 100%;
    background: #fff;
    border: 3px solid transparent;
    border-radius: 3px;
    height: 45px;
    line-height: 45px;
    padding: 0 40px 0 10px;
    transition: .3s ease all;
}

.formulario__input:focus {
    border: 3px solid #0075FF;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
}

.formulario__input-error {
    font-size: 12px;
    margin-bottom: 0;
    display: none;
}

.formulario__input-error-activo {
    display: block;
}

.formulario__validacion-estado {
    position: absolute;
    right: 10px;
    bottom: 15px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
}

.formulario__checkbox {
    margin-right: 10px;
}

.formulario__grupo-terminos,
.formulario__mensaje,
.formulario__grupo-btn-enviar {
    grid-column: span 2;
}

.formulario__mensaje {
    height: 45px;
    line-height: 45px;
    background: #F66060;
    padding: 0 15px;
    border-radius: 3px;
    display: none;
}

.formulario__mensaje-activo {
    display: block;
}

.formulario__mensaje p {
    margin: 0;
}

.formulario__grupo-btn-enviar {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formulario__btn {
    height: 45px;
    line-height: 45px;
    width: 30%;
    background: #000;
    color: #fff;
    font-weight: bold;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: .1s ease all;
}

.formulario__btn:hover {
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 1);
}

.formulario__mensaje-exito {
    font-size: 14px;
    color: #119200;
    display: none;
}

.formulario__mensaje-exito-activo {
    display: block;
}

/* Estilos para validación de formulario */
.formulario__grupo-correcto .formulario__validacion-estado {
    color: #1ed12d;
    opacity: 1;
}

.formulario__grupo-incorrecto .formulario__label {
    color: #bb2929;
}

.formulario__grupo-incorrecto .formulario__validacion-estado {
    color: #bb2929;
    opacity: 1;
}

.formulario__grupo-incorrecto .formulario__input {
    border: 3px solid #bb2929;
}

@media screen and (max-width: 800px) {
    .formulario {
        grid-template-columns: 1fr;
    }

    .formulario__grupo-terminos,
    .formulario__mensaje,
    .formulario__grupo-btn-enviar {
        grid-column: 1;
    }

    .formulario__btn {
        width: 100%;
    }
}

/* POKEDEX */
.pokedex {
    width: 100%;
    padding: 10px;
}

.titulo-pokedex {
    padding: auto;
    margin-top: 8%;
    margin-bottom: 0%;
}

.poke-card {
    position: relative;
    height: fit-content;
    font-weight: bold;
    text-transform: capitalize;
    max-width: 300px;
    border-radius: 4px;
    color: #000;
    text-align: center;
    padding: 10px;
    margin: 0 auto;
    margin-top: 6%;
    margin-bottom: 8%;
    background-color: #EFF1F3;
    border: 1px solid black;
    position: static;
}

.poke-card::before {
    content: '';
    background-size: 3px 3px;
    border-radius: 4px;
    height: 100%;
    width: 100%;
    position: absolute;
    left: 10px;
    top: 10px;
    z-index: -1;
}

.img-container {
    position: relative;
    width: 180px;
    margin: 10px auto;
    position: static;
}

.poke-stats div {
    display: flex;
    justify-content: space-between;
    align-content: space-between;
    padding: 5px;
    font-size: 18px;
    font-weight: lighter;
}

.poke-types div {
    padding: 5px;
    margin: 5px;
    border-radius: 4px;
    border: 1px dashed black;
    background-color: #fff;
}

.poke-img {
    width: 180px;
    border-radius: 50%;
}